const express = require('express');
const cors = require('cors');

const { passport } = require('./services/passport');
const router = require('./routes');
const { PORT } = require('./config');

const app = express();

app.use(express.urlencoded({ extended: true }));
app.use(express.json());
app.use(cors());

app.use('/static', express.static('public'));

app.use(passport.initialize());
app.use(router);

app.listen(PORT, () => {
  console.log(`Example app listening at http://localhost:${PORT}`)
})